- -------------------------------------------------------------------------
Debian Security Advisory DSA-4905-1                   [email protected]
https://www.debian.org/security/                     Salvatore Bonaccorso
April 27, 2021                        https://www.debian.org/security/faq
- -------------------------------------------------------------------------

Package        : shibboleth-sp
CVE ID         : CVE-2021-31826
Debian Bug     : 987608

It was discovered that the Shibboleth Service Provider is prone to a
NULL pointer dereference flaw in the cookie-based session recovery
feature. A remote, unauthenticated attacker can take advantage of this
flaw to cause a denial of service (crash in the shibd daemon/service).

For additional information please refer to the upstream advisory at
https://shibboleth.net/community/advisories/secadv_20210426.txt

For the stable distribution (buster), this problem has been fixed in
version 3.0.4+dfsg1-1+deb10u2.

We recommend that you upgrade your shibboleth-sp packages.

For the detailed security status of shibboleth-sp please refer to its
security tracker page at:
https://security-tracker.debian.org/tracker/shibboleth-sp

Further information about Debian Security Advisories, how to apply
these updates to your system and frequently asked questions can be
found at: https://www.debian.org/security/

Mailing list: [email protected]